Status

Camino Graveyard
General
--
blocker
RESOLVED DUPLICATE of bug 173311
15 years ago
15 years ago

People

(Reporter: LePetitFilou, Assigned: saari (gone))

Tracking

Details

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/4.0 (compatible; MSIE 5.22; Mac_PowerPC)
Build Identifier: Chimera 0.5 nightly 10/07

after installing chimera nightly from 7/10/02 it crashes on start up, even complete 
deinstall, with prefs, caches ets, and new install of older, former running versions results 
now in crash on startup...on different macs running under 10.2.1  here is the crash log:
Date/Time:  2002-10-08 10:29:23 +0200
OS Version: 10.2.1 (Build 6D52)
Host:       Andreas-TiBook.local.

Command:    Navigator
PID:        546

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_INVALID_ADDRESS (0x0001) at 0x80000184

Thread 0 Crashed:
 #0   0x91a536e4 in QDIsPortBuffered
 #1   0x91a57eec in QDPlatformGlobalToLocal
 #2   0x02cad46c in 0x2cad46c
 #3   0x02d0c82c in 0x2d0c82c
 #4   0x02d1313c in 0x2d1313c
 #5   0x02d1c62c in 0x2d1c62c
 #6   0x02d3faec in 0x2d3faec
 #7   0x02ca5070 in 0x2ca5070
 #8   0x02ca49b0 in 0x2ca49b0
 #9   0x0063f9b8 in 
_ZN24ns4xPluginStreamListener15OnDataAvailableEP19nsIPluginStreamInfoP14nsIIn
putStreamj
 #10  0x00340720 in 
_ZN26nsPluginStreamListenerPeer15OnDataAvailableEP10nsIRequestP11nsISupports
P14nsIInputStreamjj
 #11  0x00177864 in 
_ZN19nsStreamListenerTee15OnDataAvailableEP10nsIRequestP11nsISupportsP14nsII
nputStreamjj
 #12  0x00453c5c in 
_ZN13nsHttpChannel15OnDataAvailableEP10nsIRequestP11nsISupportsP14nsIInputSt
reamjj
 #13  0x0016d3c8 in _ZN22nsOnDataAvailableEvent11HandleEventEv
 #14  0x05050450 in PL_HandleEvent
 #15  0x05050348 in PL_ProcessPendingEvents
 #16  0x050512f8 in _ZN16nsEventQueueImpl20ProcessPendingEventsEv
 #17  0x003d1228 in -[EventQueueHandler eventTimer:]
 #18  0x907e521c in __NSFireTimer
 #19  0x90163888 in __CFRunLoopDoTimer
 #20  0x901493e0 in __CFRunLoopRun
 #21  0x9018157c in CFRunLoopRunSpecific
 #22  0x92ba34cc in RunCurrentEventLoopInMode
 #23  0x92bb32f4 in ReceiveNextEventCommon
 #24  0x92bda280 in BlockUntilNextEventMatchingListInMode
 #25  0x93082184 in _DPSNextEvent
 #26  0x930ccf84 in -[NSApplication 
nextEventMatchingMask:untilDate:inMode:dequeue:]
 #27  0x930ca500 in -[NSApplication run]
 #28  0x930d2598 in NSApplicationMain
 #29  0x00004bf4 in _start (crt.c:267)
 #30  0x00004a74 in start

Thread 1:
 #0   0x90025e8c in select
 #1   0x0101c67c in poll
 #2   0x01018e50 in _pr_poll_with_poll
 #3   0x001732b8 in _ZN24nsSocketTransportService3RunEv
 #4   0x05052ac4 in _ZN8nsThread4MainEPv
 #5   0x0101a2bc in _pt_root
 #6   0x90021428 in _pthread_body

Thread 2:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x001422b0 in _ZN12nsDNSService15DequeuePendingQEv
 #4   0x00141cdc in _ZN12nsDNSService3RunEv
 #5   0x05052ac4 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90021428 in _pthread_body

Thread 3:
 #0   0x90042d68 in semaphore_timedwait_signal_trap
 #1   0x9003ef94 in _pthread_cond_wait
 #2   0x010152bc in pt_TimedWait
 #3   0x0101550c in PR_WaitCondVar
 #4   0x050563d8 in _ZN11TimerThread3RunEv
 #5   0x05052ac4 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90021428 in _pthread_body

Thread 4:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x05053bb0 in _ZN12nsThreadPool10GetRequestEP9nsIThread
 #4   0x0505449c in _ZN20nsThreadPoolRunnable3RunEv
 #5   0x05052ac4 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90021428 in _pthread_body

Thread 5:
 #0   0x9003f188 in semaphore_wait_signal_trap
 #1   0x9003efa4 in _pthread_cond_wait
 #2   0x90824180 in -[NSConditionLock lockWhenCondition:]
 #3   0x933515f4 in -[NSUIHeartBeat _heartBeatThread:]
 #4   0x9081cd38 in forkThreadForFunction
 #5   0x90021428 in _pthread_body

PPC Thread State:
  srr0: 0x91a536e4 srr1: 0x0200f030                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x91a57eec  ctr: 0x900015c0   mq: 0x00000000
    r0: 0x0000a5a0   r1: 0xbfffe380   r2: 0x92c7034c   r3: 0x80000180
    r4: 0xbfffe428   r5: 0x000003df   r6: 0x00000000   r7: 0x00000000
    r8: 0x00000000   r9: 0x00114c1b  r10: 0x00000000  r11: 0x00000000
   r12: 0x900015c0  r13: 0x00000000  r14: 0x00000000  r15: 0x00000001
   r16: 0x00000001  r17: 0x00000000  r18: 0x24002280  r19: 0x00000000
   r20: 0xbfffe780  r21: 0xbfffe730  r22: 0x0271c070  r23: 0x00000000
   r24: 0x0256cf80  r25: 0x0292e6c8  r26: 0x0296e210  r27: 0x0256cf80
   r28: 0x02534242  r29: 0x02534240  r30: 0xbfffe428  r31: 0x03141994

**********

Date/Time:  2002-10-09 10:39:49 +0200
OS Version: 10.2.1 (Build 6D52)
Host:       Andreas-TiBook.local.

Command:    Navigator
PID:        486

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000014

Thread 0 Crashed:
 #0   0x0400bb9c in js_AtomizeString
 #1   0x0400bd88 in js_Atomize
 #2   0x04007120 in JS_InternString
 #3   0x00380570 in _ZN23nsScriptSecurityManagerC4Ev
 #4   0x003807fc in _ZN23nsScriptSecurityManager24GetScriptSecurityManagerEv
 #5   0x0005a514 in 
_Z34Construct_nsIScriptSecurityManagerP11nsISupportsRK4nsIDPPv
 #6   0x05045864 in 
_ZN22nsComponentManagerImpl26CreateInstanceByContractIDEPKcP11nsISupportsR
K4nsIDPPv
 #7   0x05085420 in _ZNK28nsCreateInstanceByContractIDclERK4nsIDPPv
 #8   0x05083214 in 
_ZN13nsCOMPtr_base18assign_from_helperERK15nsCOMPtr_helperRK4nsID
 #9   0x001265b8 in _ZN20nsAppStartupNotifier7ObserveEP11nsISupportsPKcPKt
 #10  0x0004a55c in 
_Z16NS_InitEmbeddingP12nsILocalFileP27nsIDirectoryServiceProvider
 #11  0x0002d208 in -[PreferenceManager initMozillaPrefs]
 #12  0x0002cd94 in -[PreferenceManager init]
 #13  0x0002cd08 in +[PreferenceManager sharedInstance]
 #14  0x00008ab8 in -[MainController preferenceManager]
 #15  0x00007468 in -[MainController applicationDidFinishLaunching:]
 #16  0x907eaf7c in _nsNotificationCenterCallBack
 #17  0x90168b18 in _postNotification
 #18  0x90166238 in _CFNotificationCenterPostLocalNotification
 #19  0x930c9898 in -[NSApplication _sendFinishLaunchingNotification]
 #20  0x930c0060 in _requiredAEEventHandler
 #21  0x91b56e4c in _Z20aeDispatchAppleEventPK6AEDescPS_mPh
 #22  0x91b597f0 in _Z25dispatchEventAndSendReplyPK6AEDescPS_
 #23  0x91b56d5c in aeProcessAppleEvent
 #24  0x92c82d30 in AEProcessAppleEvent
 #25  0x93082350 in _DPSNextEvent
 #26  0x930ccf84 in -[NSApplication 
nextEventMatchingMask:untilDate:inMode:dequeue:]
 #27  0x930ca500 in -[NSApplication run]
 #28  0x930d2598 in NSApplicationMain
 #29  0x00004b9c in _start (crt.c:267)
 #30  0x00004a1c in start

PPC Thread State:
  srr0: 0x0400bb9c srr1: 0x0200f030                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x0400bb9c  ctr: 0x00000000   mq: 0x00000000
    r0: 0x0400bb9c   r1: 0xbfffe260   r2: 0x00000043   r3: 0x0657aa22
    r4: 0xbfffe318   r5: 0x00000082   r6: 0x00000002   r7: 0x00000002
    r8: 0x65720000   r9: 0x00000072  r10: 0x00000002  r11: 0x0406a234
   r12: 0x0405a270  r13: 0xbfffe754  r14: 0xbfffe720  r15: 0xbfffe764
   r16: 0xbfffe6e0  r17: 0x050b31b8  r18: 0xbfffe7c0  r19: 0xbfffe770
   r20: 0x0089c878  r21: 0xbfffe800  r22: 0xbfffe760  r23: 0x00000082
   r24: 0x00000000  r25: 0xbfffe730  r26: 0x00000000  r27: 0x00000006
   r28: 0xbfffe318  r29: 0xbfffe320  r30: 0x00000002  r31: 0x01f26530

**********

Date/Time:  2002-10-09 10:50:57 +0200
OS Version: 10.2.1 (Build 6D52)
Host:       BLABLABLA

Command:    Navigator
PID:        476

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000014

Thread 0 Crashed:
 #0   0x0400bb9c in js_AtomizeString
 #1   0x0400bd88 in js_Atomize
 #2   0x04007120 in JS_InternString
 #3   0x00380570 in _ZN23nsScriptSecurityManagerC4Ev
 #4   0x003807fc in _ZN23nsScriptSecurityManager24GetScriptSecurityManagerEv
 #5   0x0005a514 in 
_Z34Construct_nsIScriptSecurityManagerP11nsISupportsRK4nsIDPPv
 #6   0x05045864 in 
_ZN22nsComponentManagerImpl26CreateInstanceByContractIDEPKcP11nsISupportsR
K4nsIDPPv
 #7   0x05085420 in _ZNK28nsCreateInstanceByContractIDclERK4nsIDPPv
 #8   0x05083214 in 
_ZN13nsCOMPtr_base18assign_from_helperERK15nsCOMPtr_helperRK4nsID
 #9   0x001265b8 in _ZN20nsAppStartupNotifier7ObserveEP11nsISupportsPKcPKt
 #10  0x0004a55c in 
_Z16NS_InitEmbeddingP12nsILocalFileP27nsIDirectoryServiceProvider
 #11  0x0002d208 in -[PreferenceManager initMozillaPrefs]
 #12  0x0002cd94 in -[PreferenceManager init]
 #13  0x0002cd08 in +[PreferenceManager sharedInstance]
 #14  0x00008ab8 in -[MainController preferenceManager]
 #15  0x00007468 in -[MainController applicationDidFinishLaunching:]
 #16  0x907eaf7c in _nsNotificationCenterCallBack
 #17  0x90168b18 in _postNotification
 #18  0x90166238 in _CFNotificationCenterPostLocalNotification
 #19  0x930c9898 in -[NSApplication _sendFinishLaunchingNotification]
 #20  0x930c0060 in _requiredAEEventHandler
 #21  0x91b56e4c in _Z20aeDispatchAppleEventPK6AEDescPS_mPh
 #22  0x91b597f0 in _Z25dispatchEventAndSendReplyPK6AEDescPS_
 #23  0x91b56d5c in aeProcessAppleEvent
 #24  0x92c82d30 in AEProcessAppleEvent
 #25  0x93082350 in _DPSNextEvent
 #26  0x930ccf84 in -[NSApplication 
nextEventMatchingMask:untilDate:inMode:dequeue:]
 #27  0x930ca500 in -[NSApplication run]
 #28  0x930d2598 in NSApplicationMain
 #29  0x00004b9c in _start (crt.c:267)
 #30  0x00004a1c in start

PPC Thread State:
  srr0: 0x0400bb9c srr1: 0x0200f030                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x0400bb9c  ctr: 0x00000000   mq: 0x00000000
    r0: 0x0400bb9c   r1: 0xbfffe260   r2: 0x00000043   r3: 0x0657aa22
    r4: 0xbfffe318   r5: 0x00000082   r6: 0x00000002   r7: 0x00000002
    r8: 0x65720000   r9: 0x00000072  r10: 0x00000002  r11: 0x0406a234
   r12: 0x0405a270  r13: 0xbfffe754  r14: 0xbfffe720  r15: 0xbfffe764
   r16: 0xbfffe6e0  r17: 0x050b31b8  r18: 0xbfffe7c0  r19: 0xbfffe770
   r20: 0x0089c878  r21: 0xbfffe800  r22: 0xbfffe760  r23: 0x00000082
   r24: 0x00000000  r25: 0xbfffe730  r26: 0x00000000  r27: 0x00000006
   r28: 0xbfffe318  r29: 0xbfffe320  r30: 0x00000002  r31: 0x01f1f520



Reproducible: Always

Steps to Reproduce:
1.install chimera 0.5 nightly 7/10/2002
2.then crash on startup
3.also former versions crash now

Actual Results:  
cant use any version of chimera 0.5 anymore
The latter stack trace is a duplicate of bug 173311.

*** This bug has been marked as a duplicate of 173311 ***
Status: UNCONFIRMED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → DUPLICATE
You need to log in before you can comment on or make changes to this bug.